Status: Resolved Priority: Should have
Author: Robert Lemke Category: Security
Created: 2012-01-27 Assigned To: Robert Lemke
Updated: 2012-04-11 Due date:
PHP Version: 5.3
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: No alternative entry point type can be configured
Description

Theoretically it is possible to use another type of entry point than the pre-configured WebRedirect. In practice, however, it is not
possible to override the pre-defined type due to a bug in the corresponding parsing function in AuthenticationProviderManager.

While being on it, the setting names and structure could need some improvement to assert that only one entry point can be defined at
all. The result should look like this:

providers:
          DefaultProvider:
            provider:   'PersistedUsernamePasswordProvider'
            token:      'TYPO3\FLOW3\Security\Authentication\Token\UsernamePasswordHttpBasic'
            entryPoint: 'HttpBasic'
            entryPointOptions:
              realm: 'Blog'

Associated revisions
Revision ad0bcd5e - 2012-04-11 14:10 - Karsten Dambekalns

[!!!][BUGFIX] Alternative entry points can be configured again

This fix allows for using other than the pre-defined WebRedirect
entry points (for example the HTTP Basic entry point).

In order to avoid confusion, this patch also streamlines the setting
names for authentication providers. It makes sure that only one entry
point can be defined at all and adjusts the naming of other settings
to be in line with other FLOW3 setting conventions.

The keys of settings for the authentication provider have changed as
follows:

DefaultProvider:
  provider:          '(a class name)'
  providerOptions:   [ ... options ... ]
  token:             '(a class name)'
  entryPoint:        '(a class name)'
  entryPointOptions: [ ... options ... ]

Resolves: #33495
Releases: 1.1
Change-Id: Ic8c3c7043decc9be531d80a1c016cd0f4624e4cf

Revision f4337471 - 2012-05-04 06:38 - Karsten Dambekalns

[TASK] Add providerOptions example to Settings.yaml

Change-Id: I9c5a5a899db3a2cb3e094f308760b216fc0cde38
Related: #33495
Releases: 1.1

History
#1 - 2012-03-26 18:20 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9881

#2 - 2012-03-27 18:43 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9881

#3 - 2012-03-28 10:45 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9881

#4 - 2012-03-28 12:01 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9881

#5 - 2012-03-28 12:05 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9881

#6 - 2012-03-28 12:29 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9881

#7 - 2012-03-28 15:31 - Gerrit Code Review
Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9881

#8 - 2012-03-28 17:25 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9881

#9 - 2012-03-29 11:00 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9881

#10 - 2012-04-03 17:04 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9881

#11 - 2012-04-05 16:16 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9881

#12 - 2012-04-09 17:54 - Gerrit Code Review

Patch set 12 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9881

#13 - 2012-04-11 12:33 - Gerrit Code Review

Patch set 13 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9881

#14 - 2012-04-11 14:11 - Gerrit Code Review

Patch set 14 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9881

#15 - 2012-04-11 14:38 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ad0bcd5e3ce536658d0a7625ce5bbb1de098411a.
